Overview

FastStone 4in1 Browser is a FREE multi-window Web Browser with a built-in HTTP Server, a fully functional FTP Client and a Drag & Drop Image Viewer. It enables users to surf the web, run a web server, transfer files between his computer (client) and servers, clean IE records, view and capture images from web pages within one single application. It is a fast, stable, skinable and 100% Free.

No limitations.
No Adware.
No Spyware.


Features

  • Four programs (Web Browser, HTTP Server, FTP Client and Image Viewer) integrated in one application
  • Multi-Window Browsing
  • Full IE Compatibility
  • Records Cleaner
  • HTTP Server with password protection
  • Fully functional FTP Client to transfer files between your computer and servers
  • Drag and Drop Image Viewer with a crystal-clear magnifier support
  • Screen Capture
  • And Much more


System Requirements

  • All Windows platforms
  • 64MB RAM


Browse the web

  • To open a web page, you can either type the URL address in the address bar or click on the favorites [image] button and select a link in the favorite list.
  • Double click on the tab header of a web page will close that web page.
  • Click on [image] will close the current web page.
  • Click on [image] will close all web pages.
  • Click on [image] will enable web pages to be opened in the background without page switching.


Run an HTTP Server

Run HTTP Server

To setup and run an HTTP Server is quite simple.

  • Click on [image] button to configure the server. The fields are explained as follows:
    • Server Name - The name of the server.
    • Port - The port number the Server uses to communicate with clients. 80 is the default number used in HTTP protocol.
    • Password - Assign a password to protect the Server from unauthorized access.
    • Home Page - The default first page to be sent to the client. If no home page found, the server will send the folder structure to the client side which enables the clients to be able to browse and download files under the server root.
    • Allow Screen Shot - Enable the clients to take a screen shot of the server screen.
    • Image Quality - The quality of the screen shot image.
  • Click on [image] to select a folder in your PC as the server root. Please note that, this folder and its sub folders are accessible (visible) to authorized clients.
  • Click on [image] to start the server.
  • Click on [image] to test the server in the current browser.
  • To access from other computers, type the server's IP address (found at right-bottom corner of this program at the Server Computer) in any kind of web browser. For example: http://192.168.0.100 . If the server is running and the server's firewall allows the traffic to go through, the web pages should appear in the client's web browser.
  • To enable another computer in the global Internet to access your PC, your PC must be connected to the Internet directly (having a unique and valid Internet IP address). Start the HTTP server, inform the other side your IP address, and then the other computer can use the IP address to connect your server.


FTP Client

Use FTP Client

FastStone 4in1 Browser has a fully functional client FTP software that enables users:

  • Connect to FTP Servers
  • Manipulate files and folders in FTP Servers including Delete and Rename
  • Transfer files between your computer and FTP servers

How to Create an FTP Client?

  • Client on icon [image] will open a new FTP client window
  • You can open as many FTP client window as you want, which allows you to transfer files between multiple servers simultaneously.

How to Connect to an FTP Server?

  • Create an FTP Client (See above)
  • Fill Host, Port number (21 by default), Username, and Password
  • Click on 'Connect' button
  • If Host, Port number, Username and Password are correct, an FTP session will be created and the file structure of the server will be displayed in the right-hand-side window. Now the server is connected.

How to Transfer files between your computer and FTP Server?

  • If the server is connected, you can use your mouse to select folders and files, drag and drop them between your computer (left hand side window) and the server (right hand side window) to transfer the selected files.


View Images

FastStone 4in1 Browser has a powerful built-in Image Viewer that enables users:

  • To capture any portion of the screen (rectangle or irregular area) to the image viewer, the clipboard or a file
  • To drag & drop images from web pages and view them with a crystal-clear magnifier
  • To resize, crop, rotate and save images in different formats

How to Drag & Drop images from the web?

  • Move the mouse onto an image in a web page
  • Press down the left mouse button
  • Drag the image and drop it onto

How to use Screen Capture?

  • Click on [image] will pop up a menu (See the following figure)
  • Select a proper destination (Image Viewer, Clipboard or File)
  • Select "Capture Rectangle Area" to capture a rectangle area
  • Or select "Capture Irregular Area" to capture an irregular area
  • When the area is selected, the image will be sent to the previously chosen destination

If the image in a web page can not be dragged and dropped, how to get it into the image viewer?

  • Right click on the image in a web page
  • Select 'Copy' in the popup menu
  • Click on [image] and select 'Paste image from Clipboard' in the popup menu to paste the image into the image viewer

Mouse gesture of the image viewer:

  • When an image is dropped onto [image], it will be viewed in a full-screen image viewer.
  • Double click the mouse on [image] will also switch back to image viewer.
  • In full screen viewer, move your mouse to the right-bottom corner of the screen, a control bar (See the following figure) will show up to provide fast access to major functionalities.

  • In full screen viewer, move your mouse to the right border of the screen, image properties window with EXIF metadata will appear.
  • When mouse cursor becomes a magnifier shape [image], it means the image is smaller than the viewer's size. Now, you can press and hold down the left mouse button, the image will be viewed in a magnifier. Move around the mouse with the left mouse button being pressed down will move the magnifier across the image. Magnifier zoom ratio and magnifier size [image] determine the look and feel of the magnifier.
  • When mouse cursor becomes a hand shape [image], it means the image is larger than the viewer's size. Now you can use the mouse to drag to move the image around.
  • When scroll mode [image] is selected, press Ctrl key will change the mouse cursor to a cross shape [image]. Now you can use the mouse to SELECT and ZOOM.
  • When select mode [image] is selected, press Ctrl key will change the mouse cursor to a cross shape [image]. Now use the mouse to define a selection. Right click your mouse on the selection, you can zoom, crop, cut and even save the selection into a file.
  • Scroll the middle wheel of your mouse will zoom in or zoom out.
  • Press Space key will fit the image in the viewer if it is larger than the viewer.
  • Press 1,2,3,4 ...,0 will zoom the image into 100%,200%,300%,400%,...,1000%
  • Press Shift key, the mouse cursor will become a circle shape [image], left click on the image will zoom in and right click on the image will zoom out.
  • Press Esc key to exit.


Contact Us

FastStone 4in1 Browser (FSBrowser) is a freeware from FastStone Soft, which is dedicated to Media Processing research. Other products such as image processor may interest you. For new version of FSBrowser or other production information, please visit www.FastStoneServer.com Thank you.